import https from '@/plugins/luch-request_0.0.7/request'

/** *
 * 获取分类 m
 */
export const getClass = data => {
	return https.get('/category/list', data)
}

/** *
 * 获取分类的商品 m
 */
export const getList = data => {
	return https.get('/category/goods-list', data)
}

// =====================  B 端 ========================

/** *
 * 商品分类-列表（全部分类无分页） b
 */
export const getClassB = data => {
	return https.get('/category/list', data)
}

/** *
 * 商品分类-查看 b
 */
export const getClassDetB = data => {
	return https.get('/category/detail', data)
}

/** *
 * 商品分类-添加 b
 */
export const classAddB = data => {
	return https.get('/category/add', data)
}

/** *
 * 商品分类-修改 b
 */
export const classUpdateB = data => {
	return https.get('/category/update', data)
}

/** *
 * 商品分类-修改 b
 */
export const changeStatusB = data => {
	return https.get('/category/change-status', data)
}
